<template>
  <div class="grid">
    <div class="grid sm:grid-cols-2">
      <section
        class="
        m-5 bg-grey-mlight opacity-50 flex items-center justify-center img order-2
        sm:order-1 sm:m-0
"
      >
        NO IMG
      </section>
      <section class="
      px-5 flex flex-col items-center py-8 order-1 text-center
      sm:order-2 sm:justify-center
">
        <img class="mb-3 sm:mb-6" width="109px" src="@/assets/img/misc/doctor-lilliana-ramirez-circle.png" alt="doctor">
        <h1 class="heading px-5 mb-3 sm:mb-4">Healthcare for your hair.</h1>
        <p class="text-lg mb-6 sm:mb-8">
          Your own personal doctor.
          <br/>
          Your own personlized prescription.
        </p>
        <common-btn
          text="Unlock your free offer"
          class="mb-3 sm:px-16 w-max"
        />
        <p class="text-xs text-grey-dark mb-10">
          First 2 months of medication completely free.
          One doctor's appointment per month for first 4 months.
        </p>
        <div class="flex items-center justify-between flex-wrap w-full sm:w-max sm:space-x-3">
          <div class="flex justify-center items-center">
            <img
              src="@/assets/img/icons/lock.png"
              width="14"
              alt="lock icon"
              class="mr-3"
            >
            <div class="text-xs text-grey-dark tracking-12px">
              256-bit TLS Security
            </div>
          </div>
          <div class="flex justify-center items-center">
            <img
              src="@/assets/img/icons/hippa.png"
              width="20"
              alt="lock icon"
              class="mr-3"
            >
            <div class="text-xs text-grey-dark tracking-12px">
              HIPAA Compliant
            </div>
          </div>
        </div>
      </section>
    </div>
    <div class="
    px-5 grid grid-cols-2 gap-x-1 gap-y-4 pb-8
    sm:bg-white sm:grid-cols-4 sm:gap-x-14 sm:py-10 features
">
      <div
        v-for="item in features"
        :key="item.text"
        class="flex flex-col items-center sm:flex-row sm:space-x-5 "
      >
<!--        TODO ADD IMAGES WITH TRANSPARENT BACKGROUND -->
        <img width="60px" :src="item.img" alt="item img">
        <p class="text-sm text-center sm:text-left">
          {{ item.text }}
        </p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "MainHeader",
  data() {
    return {
      features: [
        {
          text: 'Clinically studied ingredients to regrow hair',
          img: require('@/assets/img/icons/feature-01.png')
        },
        {
          text: 'FREE 2-day shipping',
          img: require('@/assets/img/icons/feature-02.png')
        },
        {
          text: 'Real-time doctor support',
          img: require('@/assets/img/icons/feature-03.png')
        },
        {
          text: 'Results typically reported within 3-6 months',
          img: require('@/assets/img/icons/feature-04.png')
        },
      ]
    }
  }
}
</script>

<style scoped>
.img {
  min-height: 280px;
}

@media (min-width: 640px) {
  .img {
    min-height: 600px;
  }

  .features {
    padding-left: 240px;
    padding-right: 240px;
  }
}

.heading {
  @apply text-4.5xl font-quincy;
}

</style>
